Bug 141019 - udev disables irq during startup when usb memory stick plugged in (kernel related)
udev disables irq during startup when usb memory stick plugged in (kernel rel...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-28 07:09 EST by Philipp Steinkrüger
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philipp Steinkrüger 2004-11-28 07:09:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Starting with kernel kernel-2.6.9-1.678_FC3 there is a problem
with udev and USB on startup. with kernel kernel-2.6.9-1.667
everything is fine. if a USB-Memory stick is plugged-in during
startup, udev sais: disabling IRQ 9 and my mouse and/or keyboard is
dead. without memory-stick plugged-in mouse and keyboard is okay. this
problem does not occur with kernel-2.6.9-1.667 so i guess its a kernel
compile issue.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.678_FC3, kernel-2.6.9-1.681_FC3

How reproducible:
Always

Steps to Reproduce:
1. plug in usb-stick and boot with kernel kernel-2.6.9-1.678_FC3 or
kernel-2.6.9-1.681_FC3. 


Actual Results:  when udev initalizes the hardware it will output
"Disabling IRQ 9" and the mouse will not work.

Expected Results:  mouse working and usb stick-mounted when boot is
complete

Additional info:

the usb-stick is a 256MB Stick from www.data-bar.com and works with
windows and linux (with the above mentioned 667-kernel). its formated
with FAT32. my mouse is Logitech Optical Mouse with Mousewheel (i dont
know the name, i hope this a serial, which identifies the type: M-BJ69)
The Computer is a Fujitsu-Siemens Notebook with a "mobile AMD Athlon
(tm) 1800+" (from cat /proc/cpuinfo).
Comment 1 Fred Antrobus 2004-12-07 01:18:29 EST
I have a simular problem with FC3  2.6.9-1.681_FC3. With no usb
devices plugged in, system boots and function as expected. plug in any
usb device, memory stick, scanner whatever ... and I loose both the 
keyboard and mouse.
Comment 2 Dave Jones 2005-07-15 16:20:20 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:57:20 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.